<html devsite>
  <head>
    <title>Security Enhancements in Anroid 9</title>
    <meta name="project_path" value="/_project.yaml" />
    <meta name="book_path" value="/_book.yaml" />
  </head>
  <body>
  <!--
      Copyright 2018 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->



<p>Every Android release includes dozens of security enhancements to protect
users. For a list of some of the major security enhancements available in
Android 9, see the
<a href="/setup/start/p-release-notes#security_features">Android Release
  Notes<a>.
</p>

  </body>
</html>
